Module java.base
Package java.net

## Enum Authenticator.RequestorType

- java.lang.Object
- - java.lang.Enum<Authenticator.RequestorType>
  - - java.net.Authenticator.RequestorType

- All Implemented Interfaces:
    `Serializable`, `Comparable<Authenticator.RequestorType>`
  Enclosing class:
    Authenticator

      public static enum Authenticator.RequestorType
      extends Enum<Authenticator.RequestorType>

  The type of the entity requesting authentication.
  Since:
    1.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PROXY` | Entity requesting authentication is a HTTP proxy server.
    `SERVER` | Entity requesting authentication is a HTTP origin server.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Authenticator.RequestorType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Authenticator.RequestorType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROXY

          public static final Authenticator.RequestorType PROXY

      Entity requesting authentication is a HTTP proxy server.

    - #### SERVER

          public static final Authenticator.RequestorType SERVER

      Entity requesting authentication is a HTTP origin server.

  - ### Method Detail

    - #### values

          public static Authenticator.RequestorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Authenticator.RequestorType c : Authenticator.RequestorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Authenticator.RequestorType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null